Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155294 - nv driver can't display on external monitor
Summary: nv driver can't display on external monitor
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-18 20:13 UTC by Per Bothner
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 17:32:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 2857 None None None Never

Description Per Bothner 2005-04-18 20:13:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
The nv driver now works pretty well on my laptop screen,
including handing the 1680x1050 resolution.
(However, I do need to add an explicit Modeline.)
However, display on an external monitor doesn't work at all.
I get some pretty colors, but nothing related to the screen.
This is even the case with a low resolution of 1280x1024,
which the internals and external monitors support.
Using the vesa driver, it works fine, though I only get
1280x1024 resolution.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in an external monitor, more or after starting X.
2. Using the laptop's monitor-switch button works, but
what appears on the external monitor is garbage.  

Additional info:

This is on a Compaq Presario R3000 laptop with an Athlon 64 chip.

Comment 1 Mike A. Harris 2005-04-20 16:22:31 UTC
"nv" driver bug reports and feature requests need to be filed in the X.Org
bugzilla, located at http://bugs.freedesktop.org in the "xorg" component,
as fixing issues in this driver require access to the technical
specifications of the hardware, and a detailed knowledge of Nvidia's
hardware operation which is not made publically available to 3rd parties.

The "nv" driver author, an Nvidia employee, is the only person who
currently has access to this documentation and the knowledge of the
hardware required in order to fix the driver.  Once he has seen your
bug report in Xorg bugzilla, he can troubleshoot and possibly resolve
the issue.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.



Comment 2 Mike A. Harris 2005-04-20 16:24:45 UTC
Setting status to "NEEDINFO", awaiting upstream bug report URL for
tracking.

Comment 3 Per Bothner 2005-04-20 16:57:00 UTC
It seems likely my bug matches existing xorg bug 2857, so I added
information about my environment to it:
https://bugs.freedesktop.org/show_bug.cgi?id=2857

Comment 4 Mike A. Harris 2005-04-20 17:32:44 UTC
Ok, thanks for the quick response.  I've added this to our upstream
tracker, and we'll keep an eye on it in X.Org bugzilla now.

Thanks again.


Note You need to log in before you can comment on or make changes to this bug.